
// QTreeChangeNum: a QCanvasText holding one change number, sitting
// in a QTreeChangeBar rectangle. 

class QTreeChangeNum : public QCanvasText
{
public:
	QTreeChangeNum( QCanvas* canvas, QString chng, QString tip );
	virtual ~QTreeChangeNum();

	// Runtime type ID for handling click events.
	int rtti() const { return RTTI_CHANGE; } ;

	// Informative dialog (double-click) 
	void InfoDialog( QWidget*, ClientApi*, Error* );
 
	QString ctext, ttext;

	QString Tip() { return ttext; };
private:
	ClientChangeUser ui;
};
